Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveFirstMultipleKey Method (LockingInfo)
Cursor Class See Also

Set the cursor to refer to the first key/data pair of the database, and store that pair and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool MoveFirstMultipleKey(
    	LockingInfo info
    )

Visual Basic (Declaration)
    Public Function MoveFirstMultipleKey ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++
    public:
    bool MoveFirstMultipleKey(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveFirstMultipleKey Overload
BerkeleyDB Namespace